%define _binaries_in_noarch_packages_terminate_build 0
%define firm_beta 0

%if %firm_beta
%define firm_name alsa-firmware-%version%firm_beta
%else
%define firm_name alsa-firmware-%version
%endif

Name:		alsa-firmware
Version:	1.0.29
%if %firm_beta
Release:	%mkrel 0.%{firm_beta}.7
%else
Release:	%mkrel 2
%endif
Summary:	Advanced Linux Sound Architecture (ALSA) tools
# use the licenses figured out by Fedora, for a break down of where each license
# comes from see:
# http://pkgs.fedoraproject.org/gitweb/?p=alsa-firmware.git;a=blob;f=alsa-firmware.spec
License:	GPLv1+ and BSD and GPLv2+ and GPLv2 and LGPLv2+
URL:		http://alsa-project.org
Source0:	ftp://ftp.alsa-project.org/pub/firmware/%firm_name.tar.bz2
Source1:	audio_dock_netlist.h
Group:		System/Kernel and hardware
Requires:	alsa-tools-firmware >= %{version}
Requires:	udev
BuildRequires:	automake
BuildRequires:	autoconf
BuildArch:	noarch
Provides:	aica-firmware = %{version}-%{release}
Provides:	asihpi-firmware = %{version}-%{release}
Provides:	emagic-firmware = %{version}-%{release}
Provides:	emu1010-firmware = %{version}-%{release}
Provides:	sb16-firmware = %{version}-%{release}
Provides:	korg1212-firmware = %{version}-%{release}
Provides:	maestro3-firmware = %{version}-%{release}
Provides:	turtlebeach-firmware = %{version}-%{release}
Provides:	yamaha-firmware = %{version}-%{release}
Obsoletes:	aica-firmware < %{version}-%{release}
Obsoletes:	asihpi-firmware < %{version}-%{release}
Obsoletes:	emagic-firmware < %{version}-%{release}
Obsoletes:	emu1010-firmware < %{version}-%{release}
Obsoletes:	sb16-firmware < %{version}-%{release}
Obsoletes:	korg1212-firmware < %{version}-%{release}
Obsoletes:	maestro3-firmware < %{version}-%{release}
Obsoletes:	turtlebeach-firmware < %{version}-%{release}
Obsoletes:	yamaha-firmware < %{version}-%{release}

# (ahmad) provide echomixer-firmware, and not echomixer, so as not to obsolete
# echomixer here and in alsa-tools; urpmi can't soomthly handle a package
# obsoleted by two packages
Provides:	echomixer-firmware = %{version}-%{release}

%description
This package contains the firmware binaries for a number of sound cards.
Some (but not all of these) require firmware loaders which are included in
the alsa-tools-firmware package.

%prep
%setup -q
cp %SOURCE1 emu/audio_dock_netlist.h

%build
autoreconf -fi
%configure2_5x --with-hotplug-dir=/lib/firmware --disable-loader
%make

# (Fedora) Rename README files from firmware subdirs that have them
for i in hdsploader mixartloader pcxhrloader usx2yloader vxloader
do
  mv ${i}/README README.${i}
done

%install
%makeinstall_std

%files
%doc COPYING README*
/lib/firmware/asihpi
/lib/firmware/cs46xx/
/lib/firmware/ea/
/lib/firmware/emu/
/lib/firmware/korg/k1212.dsp
/lib/firmware/pcxhr/
/lib/firmware/vx/
/lib/firmware/turtlebeach/
/lib/firmware/yamaha/
/lib/firmware/sb16/
/lib/firmware/mixart/
/lib/firmware/ess/
/lib/firmware/*.bin

%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/usx2yloader


%changelog
* Fri Mar 04 2016 luigiwalser <luigiwalser> 1.0.29-2.mga6
+ Revision: 985771
- rebuild with correct version

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + tv <tv>
    - new release

* Tue Jun 23 2015 tv <tv> 1.0.29-1.mga6
+ Revision: 840254
- new release

* Sat Oct 25 2014 danf <danf> 1.0.28-2.mga5
+ Revision: 793333
- Bumped release for rebuild (since mass rebuild release bump was incorrect)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 1.0.28-1.mga5
+ Revision: 637905
- fix "File listed twice" warning
- adjust file list
- new release

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 1.0.27-3.mga4
+ Revision: 459571
- use autoreconf -i

* Fri May 24 2013 tv <tv> 1.0.27-2.mga4
+ Revision: 426566
- adjust file list
- adjust file list
- new release

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 barjac <barjac> 1.0.25-2.mga3
+ Revision: 319935
- Change group to new policy
- unversioned explicit obsoletes/provides
- fix license and spelling

* Wed Jan 25 2012 colin <colin> 1.0.25-1.mga2
+ Revision: 201524
- New version: 1.0.25

* Fri Mar 11 2011 ahmad <ahmad> 1.0.24.1-2.mga1
+ Revision: 68255
- provide echomixer-firmware, and not echomixer, so as not to obsolete echomixer
  here and in alsa-tools; urpmi can't soomthly handle a package obsoleted by two
  packages

* Tue Mar 08 2011 ahmad <ahmad> 1.0.24.1-1.mga1
+ Revision: 66349
- imported package alsa-firmware

